#
# Spec file for kmysql RPMs
#
Summary: An graphic SQL client for KDE
Name: kmysql
Version: 1.1.8
Release: 1
Copyright: GPL
Group: Applications/Databases
Source: ftp://ftp.xnot.com/kmysql/kmysql-1.1.8.tar.gz
URL: http://www.xnot.com/kmysql/
Packager: Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
Prefix: /opt/kde

%description
KMySQL is a graphical SQL client originally designed to work with MySQL,
in replacement of the prompt-based text-mode mysql client.
It uses now plugins to access databases, so it can virtually be used
with any database.


%prep
%setup

%build
export KDEDIR=%{prefix}
./configure --prefix=%{prefix}
make

%install
make prefix=%{prefix} install

%files
%doc README
%{prefix}/bin/kmysql
%{prefix}/include/kmysql/iobject.h
%{prefix}/include/kmysql/isqlserver.h
%{prefix}/include/kmysql/pluginimpl.h
%{prefix}/include/kmysql/queryresult.h
%{prefix}/share/applnk/Applications/kmysql.kdelnk
%{prefix}/share/apps/kmysql/pics/base.xpm
%{prefix}/share/apps/kmysql/pics/cserver.xpm
%{prefix}/share/apps/kmysql/pics/server.xpm
%{prefix}/share/apps/kmysql/pics/table.xpm
%{prefix}/share/apps/kmysql/pics/query.xpm
%{prefix}/share/apps/kmysql/pics/form.xpm
%{prefix}/share/apps/kmysql/pics/febutton.xpm
%{prefix}/share/apps/kmysql/pics/felabel.xpm
%{prefix}/share/apps/kmysql/pics/fecombo.xpm
%{prefix}/share/apps/kmysql/pics/feedit.xpm
%{prefix}/share/apps/kmysql/pics/fecheckbox.xpm
%{prefix}/share/apps/kmysql/pics/fedate.xpm
%{prefix}/share/apps/kmysql/pics/column.xpm
%{prefix}/share/icons/kmysql.xpm
%{prefix}/share/icons/mini/mini-kmysql.xpm
%{prefix}/share/doc/HTML/en/kmysql/index.html
%{prefix}/share/doc/HTML/en/kmysql/logotp3.gif
%{prefix}/share/doc/HTML/fr/kmysql/index.html
%{prefix}/share/doc/HTML/fr/kmysql/logotp3.gif
%{prefix}/share/locale/fr/LC_MESSAGES/kmysql.mo
